## ros-humble-vision-msgs 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vision_msgs)

if(NOT WIN32)
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 14)
  endif()
  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  msg/BoundingBox2D.msg
  msg/BoundingBox2DArray.msg
  msg/BoundingBox3D.msg
  msg/BoundingBox3DArray.msg
  msg/Classification.msg
  msg/Detection2DArray.msg
  msg/Detection2D.msg
  msg/Detection3DArray.msg
  msg/Detection3D.msg
  msg/LabelInfo.msg
  msg/ObjectHypothesis.msg
  msg/ObjectHypothesisWithPose.msg
  msg/VisionClass.msg
  msg/Point2D.msg
  msg/Pose2D.msg
  msg/VisionInfo.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES std_msgs geometry_msgs
  ADD_LINTER_TESTS)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(vision_msgs_test test/main.cpp)
  add_dependencies(vision_msgs_test ${PROJECT_NAME})
  ament_target_dependencies(vision_msgs_test
    geometry_msgs
    std_msgs
  )
  # TODO(sloretz) rosidl_generate_interfaces() should make using generated messages in same project simpler
  target_include_directories(vision_msgs_test PUBLIC
    include
    ${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_cpp
  )
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-humble-vision-msgs (4.1.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 21 Feb 2023 19:28:01 -0000

ros-humble-vision-msgs (4.0.0-1jammy) jammy; urgency=high

  * Merge pull request #67 <https://github.com/ros-perception/vision_msgs/issues/67> from ijnek/ijnek-point-2d
    Add Point2d message, and use it in Pose2D
  * Update msg/Point2D.msg
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
  * add Point2D message
  * replace deprecated pose2d with pose (#64 <https://github.com/ros-perception/vision_msgs/issues/64>)
    * replace deprecated geometry_msgs/Pose2D with geometry_msgs/Pose
    * replace Pose2D with Pose.
    * add Pose2D.msg
    * undo some changes made
    * Update msg/Pose2D.msg
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
  * Clarify array messages in readme
  * Trailing newline in bbox2Darray
  * Add bbox array msgs to CMakeLists
  * Added BoundingBox2DArray message
  * Contributors: Adam Allevato, Fruchtzwerg94, Kenji Brameld

 -- Adam Allevato <adam.d.allevato@gmail.com>  Sat, 19 Mar 2022 07:00:00 -0000

ros-humble-vision-msgs (3.0.1-1jammy) jammy; urgency=high

  * Patch for how C++14 is set for ROS2 (#58 <https://github.com/ros-perception/vision_msgs/issues/58>)
  * Contributors: Dustin Franklin

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 20 Jul 2021 07:00:00 -0000

ros-humble-vision-msgs (3.0.0-1jammy) jammy; urgency=high

  * Add license snippet in CONTRIBUTING.md
  * Decouple source data from the detection/classification messages. (#53 <https://github.com/ros-perception/vision_msgs/issues/53>)
    * Decouple source data from the detection/classification messages.
    This commit drops dependency on sensor_msgs
    * Improved documentation.
  * Merge pull request #52 <https://github.com/ros-perception/vision_msgs/issues/52> from mintar/clarify-class-object-id
    Rename tracking_id -> id, id -> class_id
  * Rename DetectionXD.tracking_id -> id
  * Rename ObjectHypothesis.id -> class_id
  * Merge pull request #51 <https://github.com/ros-perception/vision_msgs/issues/51> from ros-perception/clarify-bbox-size
    Clarify comment for size fields in bounding box messages
  * Revert confusing comment about bbox orientation
  * Merge pull request #50 <https://github.com/ros-perception/vision_msgs/issues/50> from ros-perception/remove-is-tracking-field
    Remove is_tracking field
  * Remove other mentions to is_tracking field
  * Clarify bbox size comment
  * Remove tracking_id from Detection3D as well
  * Remove is_tracking field
    This field does not seem useful, and we are not aware of anyone using it at this time. VisionInfo is probably a better place for this information anyway, if it were needed.
    See #47 <https://github.com/ros-perception/vision_msgs/issues/47> for earlier discussions.
  * Clarify: ObjectHypothesis[] ~= Classification (#49 <https://github.com/ros-perception/vision_msgs/issues/49>)
    * Clarify: ObjectHypothesis[] ~= Classification
    https://github.com/ros-perception/vision_msgs/issues/46 requested Array message types for ObjectHypothesis and/or ObjectHypothesisWithPose. As pointed out in the issue, these already exist in the form of the ClassificationXD and DetectionXD message types.
    * Clarify ObjectHypothesisWithPose[] ~= Detection
  * Use composition in ObjectHypothesisWithPose (#48 <https://github.com/ros-perception/vision_msgs/issues/48>)
  * Contributors: Adam Allevato, Martin Günther, Martin Pecka, root

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 13 Apr 2021 07:00:00 -0000

ros-humble-vision-msgs (2.0.0-1jammy) jammy; urgency=high

  * Fix lint error for draconian header guard rule
  * Rename create_aabb to use C++ extension
    This fixes linting errors which assume that .h means that a file
    is C (rather than C++).
  * Add CONTRIBUTING.md
  * Fix various linting issues
  * Add gitignore
    Sync ros2 with master
  * Update test for ros2
  * add BoundingBox3DArray message (#30 <https://github.com/Kukanani/vision_msgs/issues/30>)
    * add BoundingBoxArray message
  * Make msg gen package deps more specific (#24 <https://github.com/Kukanani/vision_msgs/issues/24>)
    Make message_generation and message_runtime use more specific depend tags
  * Merge branch 'kinetic-devel'
  * Removed "proposal" from readme (#23 <https://github.com/Kukanani/vision_msgs/issues/23>)
  * add tracking ID to the Detection Message (#19 <https://github.com/Kukanani/vision_msgs/issues/19>)
    * add tracking ID to the Detection
    * modify comments
    * Change UUID messages to strings
    * Improve comment for tracking_id and fix whitespace
  * Convert id to string (#22 <https://github.com/Kukanani/vision_msgs/issues/22>)
  * Specify that id is explicitly for object class
  * Fix dependency of unit test. (#14 <https://github.com/Kukanani/vision_msgs/issues/14>)
  * 0.0.1
  * Pre-release commit - setting up versioning and changelog
  * Rolled BoundingRect into BoundingBox2D
    Added helper functions to make it easier to go from corner-size representation to
    center-size representation, plus associated tests.
  * Added license
  * Small fixes in message comments (#10 <https://github.com/Kukanani/vision_msgs/issues/10>)
  * Contributors: Adam Allevato, Leroy Rügemer, Martin Günther, Masaya Kataoka, Ronald Ensing, Shane Loretz, mistermult
  * Switched to ROS2 for package definition files, create_aabb, etc.
  * [ros2] use package format 3 (#12 <https://github.com/Kukanani/vision_msgs/issues/12>)
  * Contributors: Adam Allevato, Martin Günther, Mikael Arguedas, procopiostein

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 11 Aug 2020 07:00:00 -0000

=== debian/control ===
Source: ros-humble-vision-msgs
Section: misc
Priority: optional
Maintainer: Adam Allevato <adam.d.allevato@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-vision-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Messages for interfacing with various computer vision pipelines, such as object detectors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-vision-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-vision-msgs 4.1.1

=== debian/changelog ===
ros-humble-vision-msgs (4.1.1-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 30 Jul 2024 16:47:09 -0000

ros-humble-vision-msgs (4.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #67 <https://github.com/ros-perception/vision_msgs/issues/67> from ijnek/ijnek-point-2d
    Add Point2d message, and use it in Pose2D
  * Update msg/Point2D.msg
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
  * add Point2D message
  * replace deprecated pose2d with pose (#64 <https://github.com/ros-perception/vision_msgs/issues/64>)
    * replace deprecated geometry_msgs/Pose2D with geometry_msgs/Pose
    * replace Pose2D with Pose.
    * add Pose2D.msg
    * undo some changes made
    * Update msg/Pose2D.msg
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
    Co-authored-by: Adam Allevato <mailto:Kukanani@users.noreply.github.com>
  * Clarify array messages in readme
  * Trailing newline in bbox2Darray
  * Add bbox array msgs to CMakeLists
  * Added BoundingBox2DArray message
  * Contributors: Adam Allevato, Fruchtzwerg94, Kenji Brameld

 -- Adam Allevato <adam.d.allevato@gmail.com>  Fri, 18 Mar 2022 16:00:00 -0000

ros-humble-vision-msgs (3.0.1-1bookworm) bookworm; urgency=high

  * Patch for how C++14 is set for ROS2 (#58 <https://github.com/ros-perception/vision_msgs/issues/58>)
  * Contributors: Dustin Franklin

 -- Adam Allevato <adam.d.allevato@gmail.com>  Mon, 19 Jul 2021 16:00:00 -0000

ros-humble-vision-msgs (3.0.0-1bookworm) bookworm; urgency=high

  * Add license snippet in CONTRIBUTING.md
  * Decouple source data from the detection/classification messages. (#53 <https://github.com/ros-perception/vision_msgs/issues/53>)
    * Decouple source data from the detection/classification messages.
    This commit drops dependency on sensor_msgs
    * Improved documentation.
  * Merge pull request #52 <https://github.com/ros-perception/vision_msgs/issues/52> from mintar/clarify-class-object-id
    Rename tracking_id -> id, id -> class_id
  * Rename DetectionXD.tracking_id -> id
  * Rename ObjectHypothesis.id -> class_id
  * Merge pull request #51 <https://github.com/ros-perception/vision_msgs/issues/51> from ros-perception/clarify-bbox-size
    Clarify comment for size fields in bounding box messages
  * Revert confusing comment about bbox orientation
  * Merge pull request #50 <https://github.com/ros-perception/vision_msgs/issues/50> from ros-perception/remove-is-tracking-field
    Remove is_tracking field
  * Remove other mentions to is_tracking field
  * Clarify bbox size comment
  * Remove tracking_id from Detection3D as well
  * Remove is_tracking field
    This field does not seem useful, and we are not aware of anyone using it at this time. VisionInfo is probably a better place for this information anyway, if it were needed.
    See #47 <https://github.com/ros-perception/vision_msgs/issues/47> for earlier discussions.
  * Clarify: ObjectHypothesis[] ~= Classification (#49 <https://github.com/ros-perception/vision_msgs/issues/49>)
    * Clarify: ObjectHypothesis[] ~= Classification
    https://github.com/ros-perception/vision_msgs/issues/46 requested Array message types for ObjectHypothesis and/or ObjectHypothesisWithPose. As pointed out in the issue, these already exist in the form of the ClassificationXD and DetectionXD message types.
    * Clarify ObjectHypothesisWithPose[] ~= Detection
  * Use composition in ObjectHypothesisWithPose (#48 <https://github.com/ros-perception/vision_msgs/issues/48>)
  * Contributors: Adam Allevato, Martin Günther, Martin Pecka, root

 -- Adam Allevato <adam.d.allevato@gmail.com>  Mon, 12 Apr 2021 16:00:00 -0000

ros-humble-vision-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * Fix lint error for draconian header guard rule
  * Rename create_aabb to use C++ extension
    This fixes linting errors which assume that .h means that a file
    is C (rather than C++).
  * Add CONTRIBUTING.md
  * Fix various linting issues
  * Add gitignore
    Sync ros2 with master
  * Update test for ros2
  * add BoundingBox3DArray message (#30 <https://github.com/Kukanani/vision_msgs/issues/30>)
    * add BoundingBoxArray message
  * Make msg gen package deps more specific (#24 <https://github.com/Kukanani/vision_msgs/issues/24>)
    Make message_generation and message_runtime use more specific depend tags
  * Merge branch 'kinetic-devel'
  * Removed "proposal" from readme (#23 <https://github.com/Kukanani/vision_msgs/issues/23>)
  * add tracking ID to the Detection Message (#19 <https://github.com/Kukanani/vision_msgs/issues/19>)
    * add tracking ID to the Detection
    * modify comments
    * Change UUID messages to strings
    * Improve comment for tracking_id and fix whitespace
  * Convert id to string (#22 <https://github.com/Kukanani/vision_msgs/issues/22>)
  * Specify that id is explicitly for object class
  * Fix dependency of unit test. (#14 <https://github.com/Kukanani/vision_msgs/issues/14>)
  * 0.0.1
  * Pre-release commit - setting up versioning and changelog
  * Rolled BoundingRect into BoundingBox2D
    Added helper functions to make it easier to go from corner-size representation to
    center-size representation, plus associated tests.
  * Added license
  * Small fixes in message comments (#10 <https://github.com/Kukanani/vision_msgs/issues/10>)
  * Contributors: Adam Allevato, Leroy Rügemer, Martin Günther, Masaya Kataoka, Ronald Ensing, Shane Loretz, mistermult
  * Switched to ROS2 for package definition files, create_aabb, etc.
  * [ros2] use package format 3 (#12 <https://github.com/Kukanani/vision_msgs/issues/12>)
  * Contributors: Adam Allevato, Martin Günther, Mikael Arguedas, procopiostein

 -- Adam Allevato <adam.d.allevato@gmail.com>  Mon, 10 Aug 2020 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-vision-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-vision-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-vision-msgs//opt/ros/humble/opt/vision_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
